<?xml version="1.0" encoding="windows-1251"?>
<Компонент Владелец="НПО Криста www.krista.ru" Класс="Платформа.ДескрипторыБлоков" Имя="Платформа">
	<Объект Имя="Платформа" МаркетинговоеНазвание="Платформа системы &quot;Планирование расходной части бюджета&quot;" Версия="5.8.20150119" ОбластьПрименения="Стандартный" Описание="Базовый блок, на основе которого работают все остальные блоки. Включает общесистемные компоненты.">
		<ЛогическиеБлоки Класс="Платформа.СтруктураСистемы">
			<Объект КодБлока="99000000" НаименованиеБлока="Платформа" ПространствоИмен="Платформа" Описание="Системная часть, не привязанная к предметной области (разработка только в Рыбинске)"/>
			<Объект КодБлока="99150000" НаименованиеБлока="Базы данных" ПространствоИмен="Платформа.БазыДанных" Описание="Система подключения к внешним базам данных"/>
			<Объект КодБлока="99120000" НаименованиеБлока="Блокировки" ПространствоИмен="Платформа.Блокировки" Описание="Система блокировок"/>
			<Объект КодБлока="99120100" НаименованиеБлока="Стандартные блокировки" ПространствоИмен="Платформа.Блокировки.Стандартные" Описание="Стандартный набор блокировок (универсальные блокировки)"/>
			<Объект КодБлока="99070000" НаименованиеБлока="Версионность" ПространствоИмен="Платформа.Версионность" Описание="Система версионности"/>
			<Объект КодБлока="99070200" НаименованиеБлока="Редактор версий" ПространствоИмен="Платформа.Версионность.РедакторВерсий" Описание="Функционал редактора версий"/>
			<Объект КодБлока="99070300" НаименованиеБлока="Редактор сборок" ПространствоИмен="Платформа.Версионность.РедакторСборок" Описание="Функционал редактора сборок"/>
			<Объект КодБлока="99070100" НаименованиеБлока="Версионность: формирование" ПространствоИмен="Платформа.Версионность.Формирование" Описание="Подсистема копирования сборок + замена классификации при копировании"/>
			<Объект КодБлока="99190000" НаименованиеБлока="Дескрипторы блоков" ПространствоИмен="Платформа.ДескрипторыБлоков" Описание="Дескрипоторы физических блоков системы"/>
			<Объект КодБлока="99090000" НаименованиеБлока="Задачи" ПространствоИмен="Платформа.Задачи" Описание="Система управления задачами"/>
			<Объект КодБлока="99240000" НаименованиеБлока="Подсистема импорта" ПространствоИмен="Платформа.Импорт" Описание="Новая подсистема импорта данных документов"/>
			<Объект КодБлока="99060000" НаименованиеБлока="Интерфейсы пользователей" ПространствоИмен="Платформа.Интерфейсы" Описание="Система пользовательских интерфейсов"/>
			<Объект КодБлока="99060500" НаименованиеБлока="Расширения для грида" ПространствоИмен="Платформа.Интерфейсы.Грид" Описание="Компоненты для расширения возможностей грида на интерфейсах"/>
			<Объект КодБлока="99061000" НаименованиеБлока="Интерфейс &quot;Данные линейно&quot;" ПространствоИмен="Платформа.Интерфейсы.ДанныеЛинейно" Описание="Поддержка интерфейса &quot;Данные линейно&quot;"/>
			<Объект КодБлока="99061200" НаименованиеБлока="Диалог выбора поля слоя" ПространствоИмен="Платформа.Интерфейсы.ДеревоПолей" Описание="Объекты для работы диалога выбора поля слоя из древовидного представления структуры слоя"/>
			<Объект КодБлока="99061100" НаименованиеБлока="Расширения редактора интерфейсов" ПространствоИмен="Платформа.Интерфейсы.ИнтерфейсРедактора" Описание="Дополнительные компоненты для интерфейса &quot;редактор интерфейсов&quot;"/>
			<Объект КодБлока="99060200" НаименованиеБлока="Модальная форма" ПространствоИмен="Платформа.Интерфейсы.МодальнаяФорма" Описание="Поддержка модальных форм"/>
			<Объект КодБлока="99060201" НаименованиеБлока="Аспекты для модальной формы" ПространствоИмен="Платформа.Интерфейсы.МодальнаяФорма.Аспекты" Описание="Набор аспектов, видоизменяющих или дополняющих поведение модальной формы"/>
			<Объект КодБлока="99060400" НаименованиеБлока="Панели инструментов" ПространствоИмен="Платформа.Интерфейсы.ПанелиИнструментов" Описание="Подсистема динамических панелей инструментов"/>
			<Объект КодБлока="99060401" НаименованиеБлока="Группы панелей инструментов" ПространствоИмен="Платформа.Интерфейсы.ПанелиИнструментов.Группы" Описание="Описание групп панелей инструментов"/>
			<Объект КодБлока="99060100" НаименованиеБлока="Рабочие места" ПространствоИмен="Платформа.Интерфейсы.РабочиеМеста" Описание="Подсистема организации пользовательских интерфейсов в рабочие места"/>
			<Объект КодБлока="99060300" НаименованиеБлока="Редактор документов" ПространствоИмен="Платформа.Интерфейсы.РедакторДокументов" Описание="Поддержка структуры стандартного интерфейса редактора документов"/>
			<Объект КодБлока="99060301" НаименованиеБлока="Редактор документов для слойницы" ПространствоИмен="Платформа.Интерфейсы.РедакторДокументов.Слои" Описание="Поддержка стандартного интерфейса редактора документов на слойнице (слои в качестве модели)"/>
			<Объект КодБлока="99010000" НаименованиеБлока="Компоненты" ПространствоИмен="Платформа.Компоненты" Описание="Базовая система компонентов"/>
			<Объект КодБлока="99010100" НаименованиеБлока="Соединение компонентов" ПространствоИмен="Платформа.Компоненты.Соединения" Описание="Подсистема соединения компонентов и подключения аспектов"/>
			<Объект КодБлока="99030000" НаименованиеБлока="Контроллеры" ПространствоИмен="Платформа.Контроллеры" Описание="Система контроллеров"/>
			<Объект КодБлока="99030100" НаименованиеБлока="Конвейеры" ПространствоИмен="Платформа.Контроллеры.Конвейеры" Описание="Подсистема конвейеров"/>
			<Объект КодБлока="99030200" НаименованиеБлока="Расширение редактора контроллеров" ПространствоИмен="Платформа.Контроллеры.ПредставлениеРедактора" Описание="Расширение для интерфейса редактора описаний контроллеров"/>
			<Объект КодБлока="99920000" НаименованиеБлока="АПИ ОС" ПространствоИмен="Платформа.ОперационнаяСистема" Описание="Набор функций для работы с API MS windows"/>
			<Объект КодБлока="99110000" НаименованиеБлока="Система отчетов" ПространствоИмен="Платформа.Отчеты" Описание="Поддержка формирования отчетов на слойнице"/>
			<Объект КодБлока="99180000" НаименованиеБлока="Панель параметров" ПространствоИмен="Платформа.ПанельПараметров" Описание="Система пользовательских ограничений для выборки данных"/>
			<Объект КодБлока="99180100" НаименованиеБлока="Параметр" ПространствоИмен="Платформа.ПанельПараметров.Параметр" Описание="Система подключения обработчиков к отдельному параметру"/>
			<Объект КодБлока="99180101" НаименованиеБлока="Параметр классификатор" ПространствоИмен="Платформа.ПанельПараметров.Параметр.Классификатор"/>
			<Объект КодБлока="99180102" НаименованиеБлока="Параметр ограничение" ПространствоИмен="Платформа.ПанельПараметров.Параметр.Ограничение"/>
			<Объект КодБлока="99180103" НаименованиеБлока="Параметр перечисление" ПространствоИмен="Платформа.ПанельПараметров.Параметр.Перечисление"/>
			<Объект КодБлока="99180104" НаименованиеБлока="Параметр пиклист расширенный" ПространствоИмен="Платформа.ПанельПараметров.Параметр.ПикЛистРасш"/>
			<Объект КодБлока="99180105" НаименованиеБлока="Параметр слой" ПространствоИмен="Платформа.ПанельПараметров.Параметр.Слой"/>
			<Объект КодБлока="99180106" НаименованиеБлока="Параметр флаг" ПространствоИмен="Платформа.ПанельПараметров.Параметр.Флаг"/>
			<Объект КодБлока="99180107" НаименованиеБлока="Параметр флаг расширенный" ПространствоИмен="Платформа.ПанельПараметров.Параметр.ФлагРасш"/>
			<Объект КодБлока="99230000" НаименованиеБлока="Параметры ограничений" ПространствоИмен="Платформа.ПараметрыОграничений" Описание="новая подсистема параметров ограничений (взамен старой)"/>
			<Объект КодБлока="99230100" НаименованиеБлока="Параметр ограничений" ПространствоИмен="Платформа.ПараметрыОграничений.Параметр" Описание="новая подсистема параметров ограничений (взамен старой)"/>
			<Объект КодБлока="99130000" НаименованиеБлока="Покраски" ПространствоИмен="Платформа.Покраски" Описание="Система покраски ячеек грида"/>
			<Объект КодБлока="99250000" НаименованиеБлока="Подсистема пользовательских блокировок записей" ПространствоИмен="Платформа.ПользовательскиеБлокировки"/>
			<Объект КодБлока="99080000" НаименованиеБлока="Поправки к данным" ПространствоИмен="Платформа.Поправки" Описание="Система поправок к данным"/>
			<Объект КодБлока="99080100" НаименованиеБлока="Операции для поправок" ПространствоИмен="Платформа.Поправки.Операции" Описание="Подсистема операций по изменению данных"/>
			<Объект КодБлока="99140000" НаименованиеБлока="Система безопасности и прав пользователей" ПространствоИмен="Платформа.Права" Описание="Система безопасности и прав пользователей"/>
			<Объект КодБлока="99040000" НаименованиеБлока="Представления" ПространствоИмен="Платформа.Представления" Описание="Система представлений"/>
			<Объект КодБлока="99041300" НаименованиеБлока="Боковые картинки" ПространствоИмен="Платформа.Представления.БоковыеКартинки" Описание="Система боковых картинок"/>
			<Объект КодБлока="99040400" НаименованиеБлока="Грид" ПространствоИмен="Платформа.Представления.Грид" Описание="Расширение функциональности гридов"/>
			<Объект КодБлока="99040401" НаименованиеБлока="Группировка на гриде" ПространствоИмен="Платформа.Представления.Грид.Группировка" Описание="Поддержка группировки записей на гриде"/>
			<Объект КодБлока="99040403" НаименованиеБлока="Кнопки управления гридом" ПространствоИмен="Платформа.Представления.Грид.КнопкаУправления" Описание="Поддержка кнопок управления гридом (TGridToolButton)"/>
			<Объект КодБлока="99040402" НаименованиеБлока="Синхронизация гридов" ПространствоИмен="Платформа.Представления.Грид.СинхронизацияГридов" Описание="Поддержка синхронизации двух одинаковых гридов"/>
			<Объект КодБлока="99040500" НаименованиеБлока="Дерево" ПространствоИмен="Платформа.Представления.Дерево" Описание="Поддержка компонента TTreeView"/>
			<Объект КодБлока="99040600" НаименованиеБлока="Дерево блоков" ПространствоИмен="Платформа.Представления.ДеревоБлоков" Описание="Поддержка компонента TBlockTree"/>
			<Объект КодБлока="99041500" НаименованиеБлока="КнопкаРедактора" ПространствоИмен="Платформа.Представления.КнопкаРедактор" Описание="Поддержка компонента TButtonEdit"/>
			<Объект КодБлока="99041200" НаименованиеБлока="Кнопка сохранения" ПространствоИмен="Платформа.Представления.КнопкаСохранения" Описание="Поддержка кнопки сохранения данных (кристаллик)"/>
			<Объект КодБлока="99040300" НаименованиеБлока="Меню" ПространствоИмен="Платформа.Представления.Меню" Описание="Подсистема задания и управления меню"/>
			<Объект КодБлока="99040700" НаименованиеБлока="Навигатор" ПространствоИмен="Платформа.Представления.Навигатор" Описание="Поддержка компонента TDBNavigator"/>
			<Объект КодБлока="99040200" НаименованиеБлока="Панели кнопок" ПространствоИмен="Платформа.Представления.ПанелиКнопок" Описание="Подсистема задания и управления кнопочными панелями"/>
			<Объект КодБлока="99040800" НаименованиеБлока="Панель закладок" ПространствоИмен="Платформа.Представления.ПанельЗакладок" Описание="Поддержка компонента TTabControl"/>
			<Объект КодБлока="99040900" НаименованиеБлока="Панель инструментов" ПространствоИмен="Платформа.Представления.ПанельИнструментов" Описание="Поддержка компонента TToolBar"/>
			<Объект КодБлока="99040901" НаименованиеБлока="Кнопка на панели инструментов" ПространствоИмен="Платформа.Представления.ПанельИнструментов.Кнопка" Описание="Поддержка компонента TToolButton"/>
			<Объект КодБлока="99041400" НаименованиеБлока="Панель статуса" ПространствоИмен="Платформа.Представления.ПанельСтатуса" Описание="Поддержка компонента TStatusBar"/>
			<Объект КодБлока="99040100" НаименованиеБлока="Раскладки" ПространствоИмен="Платформа.Представления.Раскладки" Описание="Подсистема раскладок"/>
			<Объект КодБлока="99041000" НаименованиеБлока="Редактор таблицы" ПространствоИмен="Платформа.Представления.РедакторТаблицы" Описание="Поддержка представления РедакторТаблицы для редактирования табличных данных"/>
			<Объект КодБлока="99041100" НаименованиеБлока="Редактор текста" ПространствоИмен="Платформа.Представления.РедакторТекста" Описание="Поддержка компонентов TMemo"/>
			<Объект КодБлока="99900000" НаименованиеБлока="Разработка" ПространствоИмен="Платформа.Разработка" Описание="Среда разработки"/>
			<Объект КодБлока="99900200" НаименованиеБлока="Описание панелей инструментов" ПространствоИмен="Платформа.Разработка.ПанелиИнструментов" Описание="Интерфейсы настройки динамических панелей инструментов"/>
			<Объект КодБлока="99900300" НаименованиеБлока="Описание параметры ограничений" ПространствоИмен="Платформа.Разработка.ПараметрыОграничений" Описание="Интерфейс настройки панели ограничений"/>
			<Объект КодБлока="99900100" НаименованиеБлока="Разработка слоев" ПространствоИмен="Платформа.Разработка.Слои" Описание="Компоненты для разработки слоев"/>
			<Объект КодБлока="99910000" НаименованиеБлока="Расширение редактора документов" ПространствоИмен="Платформа.РедакторДокументов" Описание="Набор компонентов для расширения функций редактора документов"/>
			<Объект КодБлока="99220000" НаименованиеБлока="Сводные формы" ПространствоИмен="Платформа.СводныеФормы" Описание="Подсистема поддержки сводных форм"/>
			<Объект КодБлока="99220100" НаименованиеБлока="Балансировка сводных форм" ПространствоИмен="Платформа.СводныеФормы.БалансировкаСводныхФорм" Описание="подсистема балансировки сводных форм"/>
			<Объект КодБлока="99100000" НаименованиеБлока="Синхронизация данных" ПространствоИмен="Платформа.Синхронизация" Описание="Система синхронизации данных"/>
			<Объект КодБлока="99100100" НаименованиеБлока="Экспорт и импорт данных с помощью синхронизатора" ПространствоИмен="Платформа.Синхронизация.ЭкспортИмпорт" Описание="Подсистема экспорта данных в файлы (объектный экспорт) и импорта данных из файлов (объектный импорт)"/>
			<Объект КодБлока="99100200" НаименованиеБлока="Описание панелей инструментов" ПространствоИмен="Платформа.Синхронизация.ЭкспортИмпорт.Панели" Описание="Панели инструментов для расширения функций интерфейса &quot;редактор документов&quot;"/>
			<Объект КодБлока="99020000" НаименованиеБлока="Слои" ПространствоИмен="Платформа.Слои" Описание="Система слоев (слойница)"/>
			<Объект КодБлока="99020100" НаименованиеБлока="Аспекты" ПространствоИмен="Платформа.Слои.Аспекты" Описание="Аспекты для слойницы"/>
			<Объект КодБлока="99020300" НаименованиеБлока="Связь с гридом" ПространствоИмен="Платформа.Слои.Грид" Описание="Поддержка связи слоя с гридом"/>
			<Объект КодБлока="99020400" НаименованиеБлока="Детализации слоев" ПространствоИмен="Платформа.Слои.Детализации" Описание="Поддержка детализаций у слоев"/>
			<Объект КодБлока="99020800" НаименованиеБлока="Интерфейс слоев" ПространствоИмен="Платформа.Слои.Интерфейс" Описание="Поддержка необходимого функционала для нового интерфейса слоев"/>
			<Объект КодБлока="99020600" НаименованиеБлока="Подключение обработчиков к слоям" ПространствоИмен="Платформа.Слои.ПодключениеОбработчиков" Описание="Поддержка подключения обработчиков к слоям"/>
			<Объект КодБлока="99200000" НаименованиеБлока="Права для слоев" ПространствоИмен="Платформа.Слои.Права" Описание="Права на слои"/>
			<Объект КодБлока="99020500" НаименованиеБлока="Вычисление итогов" ПространствоИмен="Платформа.Слои.РасчетИтогов" Описание="Поддержка вычисления итогов по данным слоев"/>
			<Объект КодБлока="99020700" НаименованиеБлока="Формирование данных" ПространствоИмен="Платформа.Слои.ФормированиеДанных" Описание="Поддержка конвейеров вычислений данных на открытие слоя"/>
			<Объект КодБлока="99020200" НаименованиеБлока="Экспорт/импорт данных" ПространствоИмен="Платформа.Слои.ЭкспортИмпорт" Описание="Подсистема экспорта/импорта данных слоев"/>
			<Объект КодБлока="99170000" НаименованиеБлока="Состояния документов" ПространствоИмен="Платформа.Состояния" Описание="Система состояний"/>
			<Объект КодБлока="99110100" НаименованиеБлока="Аспекты системы состояний" ПространствоИмен="Платформа.Состояния.Аспекты" Описание="Аспекты системы состояний"/>
			<Объект КодБлока="99110300" НаименованиеБлока="Действия системы состояний" ПространствоИмен="Платформа.Состояния.Действия" Описание="Действия производимые системой состояний"/>
			<Объект КодБлока="99110200" НаименованиеБлока="Ошибки по состояниям" ПространствоИмен="Платформа.Состояния.Ошибки" Описание="Ошибки по состояниям"/>
			<Объект КодБлока="99110400" НаименованиеБлока="Переходы системы состояний" ПространствоИмен="Платформа.Состояния.Переходы" Описание="Контроллеры подвешиваеме на переход"/>
			<Объект КодБлока="99110101" НаименованиеБлока="Права для системы состояний" ПространствоИмен="Платформа.Состояния.Права" Описание="Права по состояниям"/>
			<Объект КодБлока="99050000" НаименованиеБлока="Стили" ПространствоИмен="Платформа.Стили" Описание="Система стилей"/>
			<Объект КодБлока="99050100" НаименованиеБлока="Глобальные стили" ПространствоИмен="Платформа.Стили.Глобальные" Описание="Глобальные стили"/>
			<Объект КодБлока="99170100" НаименованиеБлока="Типовые схемы состояний" ПространствоИмен="Платформа.ТиповыеСхемыСостояний"/>
			<Объект КодБлока="99210000" НаименованиеБлока="Работа с файлами" ПространствоИмен="Платформа.ФайловаяСистема" Описание="Компоненты для работы с файловой системой"/>
			<Объект КодБлока="99160000" НаименованиеБлока="Формулы вычислений" ПространствоИмен="Платформа.ФормулыВычислений" Описание="Система поддержки глобальных формул для расчетов сумм"/>
			<Объект КодБлока="99160100" НаименованиеБлока="Редактор" ПространствоИмен="Платформа.ФормулыВычислений.Редактор" Описание="Редактор формул вычисления"/>
			<Объект КодБлока="99260000" НаименованиеБлока="ЭЦП" ПространствоИмен="Платформа.ЭЦП" Описание="Электронно-цифровая подпись"/>
		</ЛогическиеБлоки>
	</Объект>
</Компонент>
